[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#461382: x11vnc -forever segfault

Subject: x11vnc -forever segfault
Package: x11vnc
Version: 0.9.3.dfsg.1-1
Severity: important

*** Please type your report below this line ***
x11vnc -forever segfaults in libvncservers "sraSpanListCount" (rfbregion.c).
to reproduce:
1) start on x11vnc -forever
2) connect and disconnect a couple of times (just close the vncviewer
#! /bin/sh

while true;
vncviewer -passwd VNCpasswdfile

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.15-1-686-smp (SMP w/4 CPU cores)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
(ignored: LC_
ALL set to de_DE@euro)
Shell: /bin/sh linked to /bin/bash

Versions of packages x11vnc depends on:
ii  libavahi-client3        0.6.16-5         Avahi client library
ii  libavahi-common3        0.6.16-5         Avahi common library
ii  libc6                   2.7-2            GNU C Library: Shared libraries
ii  libjpeg62               6b-13            The Independent JPEG Group's
ii  libssl0.9.8             0.9.8g-1         SSL shared libraries
ii  libvncserver0           0.9.3.dfsg.1-1   API to write one's own vnc
ii  libx11-6                2:1.0.3-4        X11 client-side library
ii  libxdamage1             1:1.1.1-3        X11 damaged region extension
ii  libxext6                1:1.0.1-2        X11 miscellaneous extension
ii  libxfixes3              1:4.0.1-5        X11 miscellaneous 'fixes'
ii  libxinerama1            1:1.0.1-4.1      X11 Xinerama extension library
ii  libxrandr2              2:1.2.1-1        X11 RandR extension library
ii  libxtst6                1:1.0.1-5        X11 Testing -- Resource
ii  zlib1g                  1: compression library - runtime

x11vnc recommends no packages.

-- no debconf information

Reply to: